Net::SSH::Perl - Corrupted check bytes

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Using v1.28 as v1.29 doesn't work at all.

Can connect fine to V2 SSH (OpenSSH) servers, but if trying to get to
V1 SSH I get an error.  I include the session below.

local: Reading configuration data /home/user/.ssh/config
local: Reading configuration data /etc/ssh_config
local: Connecting to remote, port 22.
local: Remote protocol version 1.5, remote software version 1.2.31
local: Net::SSH::Perl Version 1.28, protocol version 1.5.
local: No compat match: 1.2.31.
local: Connection established.
local: Waiting for server public key.
local: Received server public key (768 bits) and host key (1024 bits).
local: Host '' is known and matches the host
local: Encryption type: IDEA
local: Sent encrypted session key.
Corrupted check bytes on input at
/usr/local/lib/perl5/site_perl/5.8.8/Net/SSH/Perl/ line 135

local - SUN SPARC Solaris 2.8
remote - SUN SPARC Solaris 2.9

Perl = 5.8.8 built on local, modules nearly all built on this Perl, all

Site Timeline